Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp
Class JspFactory

    java.lang.Object
      |
      +--javax.servlet.jsp.JspFactory

Direct Known Subclasses:
  QJspFactory

public abstract class JspFactory
extends java.lang.Object

Constructor Summary
`JspFactory()`

Method Summary
`static JspFactory` | `getDefaultFactory()`
`abstract JspEngineInfo` | `getEngineInfo()`
`abstract PageContext` | `getPageContext(Servlet servlet, ServletRequest request, ServletResponse response, java.lang.String errorPageURL, boolean needsSession, int buffer, boolean autoflush)`
`abstract void` | `releasePageContext(PageContext pc)`
`static void` | `setDefaultFactory(JspFactory deflt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspFactory

    public JspFactory()

Method Detail

### getDefaultFactory

    public static JspFactory getDefaultFactory()

### setDefaultFactory

    public static void setDefaultFactory(JspFactory deflt)

### getPageContext

    public abstract PageContext getPageContext(Servlet servlet,
                                               ServletRequest request,
                                               ServletResponse response,
                                               java.lang.String errorPageURL,
                                               boolean needsSession,
                                               int buffer,
                                               boolean autoflush)

### releasePageContext

    public abstract void releasePageContext(PageContext pc)

### getEngineInfo

    public abstract JspEngineInfo getEngineInfo()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD